The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

Problems in upgrade to 11

Discussion in 'General Discussion' started by elleryjh, Jun 6, 2007.

  1. elleryjh

    elleryjh Well-Known Member

    Joined:
    Apr 12, 2003
    Messages:
    479
    Likes Received:
    0
    Trophy Points:
    16
    Got these two emails during the upgrade:

    [checkperlmodules] The perl module XML::LibXML could not be installed. Inbox Server
    Code:
    This module is required by cPanel, and the system may not function correctly until it is installed, and functional.  Below is the results of the auto-install attempt:
    
    Test Run
    ==============
    Can't locate XML/LibXML.pm in @INC (@INC contains: /usr/lib/perl5/5.8.1/i686-linux /usr/lib/perl5/5.8.1 /usr/lib/perl5/site_perl/5.8.1/i686-linux /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at - line 1.
    BEGIN failed--compilation aborted at - line 1.
    
    
    Installer Run
    ==============
    Fetching CPAN timestamp...Done
    Testing connection speed...(this could take a while)...Done
    Ping:7.706 Testing connection speed to cpan.erlbaum.net using pureperl...(104933.33 bytes/s)...Done
    Ping:7.768 Testing connection speed to cpan.belfry.net using pureperl...(62960.00 bytes/s)...Done
    Ping:8.719 Testing connection speed to cpan.glines.org using pureperl...(104333.33 bytes/s)...Done
    Three usable mirrors located
    Mirror Check passed for cpan.erlbaum.net (/index.html)
    Unknown config variable 'less'
    commit: wrote '/usr/lib/perl5/5.8.1/CPAN/Config.pm'
    CPAN: File::HomeDir loaded ok (v0.65)
    CPAN: Storable loaded ok (v2.16)
    Going to read /home/.cpan/Metadata
     Database was generated on Wed, 06 Jun 2007 03:08:30 GMT
    Running install for module 'XML::LibXML'
    Running make for P/PA/PAJAS/XML-LibXML-1.63.tar.gz
    CPAN: Digest::SHA loaded ok (v5.44)
    CPAN: Compress::Zlib loaded ok (v1.42)
    Checksum for /home/.cpan/sources/authors/id/P/PA/PAJAS/XML-LibXML-1.63.tar.gz ok
    XML-LibXML-1.63/
    ...
    XML-LibXML-1.63/META.yml
    CPAN: File::Temp loaded ok (v0.18)
    
    
     CPAN.pm: Going to build P/PA/PAJAS/XML-LibXML-1.63.tar.gz
    
    
    enable native perl UTF8
    running xml2-config...failed
    The installed version of libxml2 not compatible with XML::LibXML.
    
    
    You may continue at your own risk, but:
    
    
     - don't expect XML::LibXML to build or work correctly!
     - don't report errors!
     - don't send patches!
    
    
    Check the README file for more information on versions
    that are tested with XML::LibXML
    
    
    CPAN: YAML loaded ok (v0.62)
    make: *** No targets specified and no makefile found.  Stop.
     PAJAS/XML-LibXML-1.63.tar.gz
     /usr/bin/make -- NOT OK
    Running make install
     Make had returned bad status, install seems impossible
    perlmod--Install done
    [checkperlmodules] The perl module Net::DAV::Server could not be installed.
    Code:
    This module is required by cPanel, and the system may not function correctly until it is installed, and functional.  Below is the results of the auto-install attempt:
    
    Test Run
    ==============
    Can't locate XML/LibXML.pm in @INC (@INC contains: /usr/lib/perl5/5.8.1/i686-linux /usr/lib/perl5/5.8.1 /usr/lib/perl5/site_perl/5.8.1/i686-linux /usr/lib/perl5/site_perl/5.8.1 /usr/lib/perl5/site_perl/5.8.0 /usr/lib/perl5/site_perl/5.6.0 /usr/lib/perl5/site_perl .) at /usr/lib/perl5/site_perl/5.8.1/Net/DAV/Server.pm line 14.
    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.1/Net/DAV/Server.pm line 14.
    Compilation failed in require at - line 1.
    BEGIN failed--compilation aborted at - line 1.
    
    
    Installer Run
    ==============
    Fetching CPAN timestamp...Done
    Testing connection speed...(this could take a while)...Done
    Ping:7.706 Testing connection speed to cpan.erlbaum.net using pureperl...(104933.33 bytes/s)...Done
    Ping:8.719 Testing connection speed to cpan.glines.org using pureperl...(156500.00 bytes/s)...Done
    Ping:7.768 Testing connection speed to cpan.belfry.net using pureperl...(104933.33 bytes/s)...Done
    Three usable mirrors located
    Mirror Check passed for cpan.glines.org (/index.html)
    Unknown config variable 'less'
    commit: wrote '/usr/lib/perl5/5.8.1/CPAN/Config.pm'
    CPAN: File::HomeDir loaded ok (v0.65)
    CPAN: Storable loaded ok (v2.16)
    Going to read /home/.cpan/Metadata
     Database was generated on Wed, 06 Jun 2007 03:08:30 GMT
    Running install for module 'Net::DAV::Server'
    Running make for B/BR/BRONG/Net-DAV-Server-1.29.tar.gz
    CPAN: Digest::SHA loaded ok (v5.44)
    CPAN: Compress::Zlib loaded ok (v1.42)
    Checksum for /home/.cpan/sources/authors/id/B/BR/BRONG/Net-DAV-Server-1.29.tar.gz ok
    Net-DAV-Server-1.29/
    Net-DAV-Server-1.29/CHANGES
    Net-DAV-Server-1.29/META.yml
    Net-DAV-Server-1.29/litmus_test/
    Net-DAV-Server-1.29/litmus_test/litmus.out
    Net-DAV-Server-1.29/litmus_test/litmus.pl
    Net-DAV-Server-1.29/lib/
    Net-DAV-Server-1.29/lib/Net/
    Net-DAV-Server-1.29/lib/Net/DAV/
    Net-DAV-Server-1.29/lib/Net/DAV/Server.pm
    Net-DAV-Server-1.29/MANIFEST
    Net-DAV-Server-1.29/TODO
    Net-DAV-Server-1.29/t/
    Net-DAV-Server-1.29/t/pod.t
    Net-DAV-Server-1.29/Build.PL
    Net-DAV-Server-1.29/Makefile.PL
    Net-DAV-Server-1.29/README
    CPAN: File::Temp loaded ok (v0.18)
    CPAN: Module::Build loaded ok (v0.2808)
    
    
     CPAN.pm: Going to build B/BR/BRONG/Net-DAV-Server-1.29.tar.gz
    
    
    Checking if your kit is complete...
    Looks good
    Warning: prerequisite XML::LibXML 0 not found.
    Writing Makefile for Net::DAV::Server
    CPAN: YAML loaded ok (v0.62)
    ---- Unsatisfied dependencies detected during ----
    ----     BRONG/Net-DAV-Server-1.29.tar.gz     ----
       XML::LibXML [requires]
    Shall I follow them and prepend them to the queue
    of modules we are processing right now? [yes]
    Running make install
     Delayed until after prerequisites
    Running install for module 'XML::LibXML'
    Running make for P/PA/PAJAS/XML-LibXML-1.63.tar.gz
    Checksum for /home/.cpan/sources/authors/id/P/PA/PAJAS/XML-LibXML-1.63.tar.gz ok
    XML-LibXML-1.63/
    ...
    XML-LibXML-1.63/META.yml
    
    
     CPAN.pm: Going to build P/PA/PAJAS/XML-LibXML-1.63.tar.gz
    
    
    enable native perl UTF8
    running xml2-config...failed
    The installed version of libxml2 not compatible with XML::LibXML.
    
    
    You may continue at your own risk, but:
    
    
     - don't expect XML::LibXML to build or work correctly!
     - don't report errors!
     - don't send patches!
    
    
    Check the README file for more information on versions
    that are tested with XML::LibXML
    
    
    make: *** No targets specified and no makefile found.  Stop.
     PAJAS/XML-LibXML-1.63.tar.gz
     /usr/bin/make -- NOT OK
    Running make install
     Make had returned bad status, install seems impossible
    Running make for B/BR/BRONG/Net-DAV-Server-1.29.tar.gz
     Has already been unwrapped into directory /home/.cpan/build/Net-DAV-Server-1.29-GfC4QC
    
    
     CPAN.pm: Going to build B/BR/BRONG/Net-DAV-Server-1.29.tar.gz
    
    
    Warning: Prerequisite 'XML::LibXML => 0' for 'B/BR/BRONG/Net-DAV-Server-1.29.tar.gz' failed when processing 'P/PA/PAJAS/XML-LibXML-1.63.tar.gz' with 'writemakefile => NO -- Unknown reason'. Continuing, but chances to succeed are limited.
    cp lib/Net/DAV/Server.pm blib/lib/Net/DAV/Server.pm
    Manifying blib/man3/Net::DAV::Server.3
     BRONG/Net-DAV-Server-1.29.tar.gz
     /usr/bin/make -- OK
    Running make install
    Writing /usr/lib/perl5/site_perl/5.8.1/i686-linux/auto/Net/DAV/Server/.packlist
    Appending installation info to /usr/lib/perl5/5.8.1/i686-linux/perllocal.pod
     BRONG/Net-DAV-Server-1.29.tar.gz
     /usr/bin/make install UNINST=1 -- OK
    perlmod--Install done
    Now on cPanel / WHM pages I am getting : Unknown License File Version (12)

    Looks like a problem with libxml2 - what's the best way to upgrade this?
     
  2. madaboutlinux

    madaboutlinux Well-Known Member

    Joined:
    Jan 24, 2005
    Messages:
    1,052
    Likes Received:
    2
    Trophy Points:
    38
    Location:
    Earth
  3. john_l

    john_l Registered

    Joined:
    Jan 10, 2006
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    This doesn't work.

    I have the same problem here and this doesn't work. The problem is not in the perl module, but in the libxml2 shared library. I am running CentOS 4.4 x86_64.
     
  4. shacker23

    shacker23 Well-Known Member

    Joined:
    Feb 20, 2005
    Messages:
    263
    Likes Received:
    1
    Trophy Points:
    16
    Same problem here. Per another thread, tried running:

    /usr/local/cpanel/bin/checkperlmodules

    and it ran clean. Not sure whether that means that fixed it or a separate update fixed it or what, but it looks promising.
     
  5. Tymsah

    Tymsah Well-Known Member

    Joined:
    Apr 6, 2007
    Messages:
    151
    Likes Received:
    0
    Trophy Points:
    16
    cPanel Access Level:
    Root Administrator
    hi,

    Wmh control Panel
    click > Install a Perl Module
    type XML::LibXML and search and get list perl modules
    click to install XML::LibXML

    regards,
    Tymsah
     
  6. upsforum

    upsforum Well-Known Member

    Joined:
    Jul 27, 2005
    Messages:
    446
    Likes Received:
    0
    Trophy Points:
    16
    I tried all but have the same problem:


    PHP:
    This module is required by cPanel, and the system may not function correctly until it is installed, and functional.  Below is the results of the auto-install attempt:

    Test Run
    ==============
    Can't load '/usr/lib/perl5/site_perl/5.8.8/x86_64-linux/auto/XML/LibXML/LibXML.so' for module XML::LibXML: /usr/lib/perl5/site_perl/5.8.8/x86_64-linux/auto/XML/LibXML/LibXML.so: undefined symbol: xmlIsBaseCharGroup at /usr/lib/perl5/5.8.8/x86_64-linux/DynaLoader.pm line 230.
     at /usr/lib/perl5/site_perl/5.8.8/x86_64-linux/XML/LibXML.pm line 116
    BEGIN failed--compilation aborted at /usr/lib/perl5/site_perl/5.8.8/x86_64-linux/XML/LibXML.pm line 116.
    Compilation failed in require at - line 1.
    BEGIN failed--compilation aborted at - line 1.
     
  7. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
     
  8. nathacof

    nathacof Member

    Joined:
    Feb 28, 2007
    Messages:
    17
    Likes Received:
    0
    Trophy Points:
    1
    Does that not go against the error stated in the installation scripts? I'd like to know WHAT is causing the problem, not just hack away until it works. I'm sure my customers would appreciate knowing at least.

    /me goes to google

     
  9. cPanelNick

    cPanelNick Administrator
    Staff Member

    Joined:
    Mar 9, 2015
    Messages:
    3,426
    Likes Received:
    2
    Trophy Points:
    38
    cPanel Access Level:
    DataCenter Provider
    Please read the cpanel 11 release notes on this problem.
     
  10. Spiral

    Spiral BANNED

    Joined:
    Jun 24, 2005
    Messages:
    2,023
    Likes Received:
    7
    Trophy Points:
    0
    The latest release updates for CentOS 4.4 x86_64 have a known problem with libxml2.

    I have gotten around this issue by downloading the updated source for libxml2
    and libxsl and manually compiling in the newest versions of each.
     
  11. jalal

    jalal Active Member

    Joined:
    Jun 15, 2005
    Messages:
    33
    Likes Received:
    0
    Trophy Points:
    6
    Where can we find them?
     
  12. cPanelDavidG

    cPanelDavidG Technical Product Specialist

    Joined:
    Nov 29, 2006
    Messages:
    11,279
    Likes Received:
    8
    Trophy Points:
    38
    Location:
    Houston, TX
    cPanel Access Level:
    Root Administrator
    Go to www.cPanel.net/cpanel11 and click on "Release Notes" on the side.
     
Loading...

Share This Page